Bug 119128 - CALC: toggle INSERT/OVERWRITE is broken since 6.1
Summary: CALC: toggle INSERT/OVERWRITE is broken since 6.1
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.5.2 release
Hardware: All All
: high major
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.0.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-06 16:15 UTC by Timur
Modified: 2018-08-17 17:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-08-06 16:15:31 UTC
While test ing Bug 54953 with Calc in Windows I found another regression starting from 6.1. Toggle INSERT/OVERWRITE is done when we are in F2 cell edit mode.

Press Insert key in Windows (to get Overwrite mode): 
1. word Overwrite is not shown in status bar 
2. subsequent presses of Insert key don't toggle status field display (mouse clicks work)
3. any key press in cell to insert data turns off Overwrite

Also, Insert/Overwrite key change in formula bar seems to work but:
4. Any data input in Overwrite mode that is shown correctly in formula bar works really as Insert mode in cell
Comment 1 Timur 2018-08-06 16:23:55 UTC
Looks like my 4. is just a worsening of previously reported Bug 82599.
Comment 2 Xisco Faulí 2018-08-06 16:49:50 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=632bc11ce8fab1c4046ab24810b90a7ce9ac5914

author	Maxim Monastirsky <momonasmon@gmail.com>	2018-04-24 01:23:33 +0300
committer	Maxim Monastirsky <momonasmon@gmail.com>	2018-04-27 13:35:38 +0200
commit	632bc11ce8fab1c4046ab24810b90a7ce9ac5914 (patch)
tree	bca77bf682485765350e3db57afcb71ca493a648
parent	2815499d7c0b32fa05fcd697e7b2c2d897f78dfb (diff)
tdf#117017 Pasting into the formula bar shouldn't retain formatting

Bisected with: bibisect-linux64-6.1

Adding Cc: to Maxim Monastirsky
Comment 3 Maxim Monastirsky 2018-08-06 21:18:54 UTC
https://gerrit.libreoffice.org/58658/
Comment 4 Commit Notification 2018-08-07 13:03:38 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92a4e4eac7520541a433e40836cafa4e29edf47f

tdf#119128 toggle INSERT/OVERWRITE is broken

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Maxim Monastirsky 2018-08-07 19:59:57 UTC
Backport to 6-1 is in gerrit.
Comment 6 Xisco Faulí 2018-08-08 06:50:41 UTC
(In reply to Maxim Monastirsky from comment #5)
> Backport to 6-1 is in gerrit.

Hi Maxim, thanks for fixing this.
I think it should be backported to 6.0 as well...
Comment 7 Xisco Faulí 2018-08-08 06:57:37 UTC
Patch in 6-0: https://gerrit.libreoffice.org/#/c/58718/
Comment 8 Xisco Faulí 2018-08-08 09:26:53 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: c86a47a9d3debbc7e8ee6247f573e7f98c611f19
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Maxim, thanks for fixing this!!
Comment 9 Commit Notification 2018-08-08 18:42:41 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9f9641c4654e7b867c604a347a568c0a6e97ce8&h=libreoffice-6-1

tdf#119128 toggle INSERT/OVERWRITE is broken

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-08-17 17:41:51 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=319db92f96c9b886cecee97136175e12e94da547&h=libreoffice-6-0

tdf#119128 toggle INSERT/OVERWRITE is broken

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.